Bug 998839 - New python-pip version request pip>=1.4
New python-pip version request pip>=1.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pip (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 03:59 EDT by Attila Fazekas
Modified: 2014-05-22 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 07:24:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-08-20 03:59:30 EDT
pip version <=1.4 does not cleans up the build directory, it causes issues on upgrade.

You can see the details here:
https://github.com/pypa/pip/issues/709

It is fixed in pip>=1.4 .
Comment 1 Felix Schwarz 2013-10-07 04:56:32 EDT
Also I like to point out that pip 1.3 does not work with git 1.8.3. For example installing a requirement from a git repo will cause a pip error. One example of that is described in http://mikeknoop.com/how-to-fix-latest-pipgit-incompatibility/
Comment 2 Fedora Admin XMLRPC Client 2014-03-24 10:57:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bohuslav "Slavek" Kabrda 2014-05-22 07:24:53 EDT
Current rawhide has pip 1.5, closing.

Note You need to log in before you can comment on or make changes to this bug.